diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
index e50e48d40..0a553254e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
@@ -34,16 +34,19 @@ class TestColumnAclSql(SQLTemplateTestBase):
                        " AND pg_attribute.attname = 'some_column'")
         self.table_id, self.column_id = cursor.fetchone()
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "columns", "sql")
-        template_file = self.get_template_file(version, file_path,
-                                               "acl.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "acl.sql")
         template = file_as_template(template_file)
         public_schema_id = 2200
         sql = template.render(scid=public_schema_id,
                               tid=self.table_id,
-                              clid=self.column_id
+                              clid=self.column_id,
+                              conn=connection
                               )
 
         return sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
index cf18066d1..d0f9d844f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
@@ -30,15 +30,18 @@ class TestColumnPropertiesSql(SQLTemplateTestBase):
 
         self.table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "columns", "sql")
-        template_file = self.get_template_file(version, file_path,
-                                               "properties.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "properties.sql")
         template = file_as_template(template_file)
         public_schema_id = 2200
         sql = template.render(scid=public_schema_id,
-                              tid=self.table_id
+                              tid=self.table_id,
+                              conn=connection
                               )
 
         return sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get_pre_table_creation_parameters.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get_pre_table_creation_parameters.py
index fc5120724..e86350077 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get_pre_table_creation_parameters.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get_pre_table_creation_parameters.py
@@ -59,13 +59,6 @@ class TableGetPreTablecreationParametersTestCase(BaseTestGenerator):
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        # self.table_id = tables_utils.create_table_for_partition(
-        #     self.server,
-        #     self.db_name,
-        #     self.schema_name,
-        #     self.table_name,
-        #     'partitioned',
-        #     'list')
 
     def runTest(self):
         """This function will delete added table under schema node."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
index aec630c8d..93e0ec96b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
@@ -30,15 +30,18 @@ class TestTablesAclSql(SQLTemplateTestBase):
                        "'test_table'")
         self.table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "tables", "sql")
-        template_file = self.get_template_file(version, file_path,
-                                               "acl.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "acl.sql")
         template = file_as_template(template_file)
         public_schema_id = 2200
         sql = template.render(scid=public_schema_id,
-                              tid=self.table_id)
+                              tid=self.table_id,
+                              conn=connection)
         return sql
 
     def assertions(self, fetch_result, descriptions):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
index 6d1e776e7..4cbe270e6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
@@ -22,14 +22,17 @@ class TestTablesNodeSql(SQLTemplateTestBase):
     def test_setup(self, connection, cursor):
         pass
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "tables", "sql")
-        template_file = self.get_template_file(version, file_path,
-                                               "nodes.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "nodes.sql")
         template = file_as_template(template_file)
         public_schema_id = 2200
-        sql = template.render(scid=public_schema_id)
+        sql = template.render(scid=public_schema_id,
+                              conn=connection)
         return sql
 
     def assertions(self, fetch_result, descriptions):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
index 91e2c1759..e0e7638a3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
@@ -38,17 +38,20 @@ class TestTablesPropertiesSql(SQLTemplateTestBase):
         self.assertEqual(None, first_row['typname'])
         self.assertEqual([], first_row['coll_inherits'])
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "tables", "sql")
-        template_file = self.get_template_file(version, file_path,
-                                               "properties.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "properties.sql")
         template = file_as_template(template_file)
         public_schema_id = 2200
         sql = template.render(scid=public_schema_id,
                               did=self.database_id,
                               datlastsysoid=DATABASE_LAST_SYSTEM_OID,
-                              tid=self.table_id
+                              tid=self.table_id,
+                              conn=connection
                               )
         return sql
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
index 96a67e3fe..4cf6a0018 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
@@ -34,20 +34,22 @@ class TestTriggerGetOidSql(SQLTemplateTestBase):
                        " AND pg_attribute.attname = 'some_column'")
         self.table_id, self.column_id = cursor.fetchone()
 
-    def generate_sql(self, version):
+    def generate_sql(self, conn):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "triggers", "sql")
         if 'type' in self.server:
             file_path = os.path.join(os.path.dirname(__file__), "..",
                                      "templates",
                                      "triggers", "sql", self.server['type'])
-        template_file = self.get_template_file(version, file_path,
+        template_file = self.get_template_file(self.get_server_version(conn),
+                                               file_path,
                                                "get_oid.sql")
-        jinja2.filters.FILTERS['qtLiteral'] = lambda value: "NULL"
+        jinja2.filters.FILTERS['qtLiteral'] = lambda conn, value: "NULL"
         template = file_as_template(template_file)
 
         sql = template.render(data={'name': None},
-                              tid=self.table_id
+                              tid=self.table_id,
+                              conn=conn
                               )
 
         return sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
index c2511900e..c51fbc675 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
@@ -29,17 +29,19 @@ class TestTriggerNodesSql(SQLTemplateTestBase):
                        "WHERE pg_class.relname='test_table'")
         self.table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "triggers", "sql")
         if 'type' in self.server:
             file_path = os.path.join(os.path.dirname(__file__), "..",
                                      "templates",
                                      "triggers", "sql", self.server['type'])
-        template_file = self.get_template_file(version, file_path,
-                                               "nodes.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "nodes.sql")
         template = file_as_template(template_file)
-        sql = template.render(tid=self.table_id)
+        sql = template.render(tid=self.table_id, conn=connection)
 
         return sql
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/utils.py
index e61f4b74a..36732290f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/utils.py
@@ -120,10 +120,10 @@ def create_table(server, db_name, schema_name, table_name, custom_query=None):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created table
         pg_cursor.execute("select oid from pg_catalog.pg_class "
@@ -194,7 +194,7 @@ def create_table_for_partition(
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
 
         query = ''
@@ -224,7 +224,7 @@ def create_table_for_partition(
                     "saledate date NOT NULL)" % (schema_name, table_name)
 
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created table
         pg_cursor.execute("select oid from pg_catalog.pg_class "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
index f591d8955..1794a5537 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
@@ -611,7 +611,7 @@ class TriggerView(PGChildNodeView, SchemaDiffObjectCompare):
             # we need oid to add object in tree at browser
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
-                                  tid=tid, data=data)
+                                  tid=tid, data=data, conn=self.conn)
             status, trid = self.conn.execute_scalar(SQL)
             if not status:
                 return internal_server_error(errormsg=tid)
@@ -735,7 +735,7 @@ class TriggerView(PGChildNodeView, SchemaDiffObjectCompare):
             # so we need to return new OID of trigger.
             SQL = render_template(
                 "/".join([self.template_path, self._OID_SQL]),
-                tid=tid, data=data
+                tid=tid, data=data, conn=self.conn
             )
             status, new_trid = self.conn.execute_scalar(SQL)
             if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/utils.py
index 2eb2011a4..dda7e317d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/utils.py
@@ -47,14 +47,14 @@ def create_trigger(server, db_name, schema_name, table_name, trigger_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE TRIGGER %s BEFORE INSERT ON %s.%s FOR EACH ROW " \
                 "EXECUTE PROCEDURE %s.%s()" % (trigger_name, schema_name,
                                                table_name, schema_name,
                                                trigger_func_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         pg_cursor.execute("SELECT oid FROM pg_catalog.pg_trigger "
                           "where tgname='%s'" % trigger_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py
index 495d7ef44..c5876d976 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/utils.py
@@ -123,7 +123,7 @@ def get_trigger_function_and_columns(conn, data, tid,
         driver = get_driver(PG_DEFAULT_DRIVER)
         # We know that trigger has more than 1 argument, let's join them
         # and convert it to string
-        formatted_args = [driver.qtLiteral(arg)
+        formatted_args = [driver.qtLiteral(arg, conn)
                           for arg in data['custom_tgargs']]
         formatted_args = ', '.join(formatted_args)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
index 6e26c4c34..b8ebe5893 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
@@ -215,7 +215,7 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
         if data['typoid']:
             sql = render_template("/".join([self.table_template_path,
                                             'get_columns_for_table.sql']),
-                                  tid=data['typoid'])
+                                  tid=data['typoid'], conn=self.conn)
 
             status, res = self.conn.execute_dict(sql)
             if not status:
@@ -259,7 +259,7 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
                 sql = render_template("/".join(
                     [self.table_template_path,
                      'get_columns_for_table.sql']),
-                    tid=row['oid']
+                    tid=row['oid'], conn=self.conn
                 )
                 status, res = self.conn.execute_dict(sql)
                 if not status:
@@ -572,7 +572,8 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
         sql = render_template(
             "/".join([self.table_template_path, self._PROPERTIES_SQL]),
             did=did, scid=scid, tid=tid,
-            datlastsysoid=self._DATABASE_LAST_SYSTEM_OID
+            datlastsysoid=self._DATABASE_LAST_SYSTEM_OID,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
         if not status:
@@ -1589,7 +1590,8 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
                 return internal_server_error(errormsg=rest)
 
             sql = render_template("/".join([self.table_template_path,
-                                  self._GET_SCHEMA_OID_SQL]), tid=tid)
+                                  self._GET_SCHEMA_OID_SQL]), tid=tid,
+                                  conn=self.conn)
             status, rest = self.conn.execute_2darray(sql)
             if not status:
                 return internal_server_error(errormsg=rest)
@@ -1638,7 +1640,8 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
                                 self.table_template_path,
                                 self._GET_SCHEMA_OID_SQL
                             ]),
-                            tid=row['oid']
+                            tid=row['oid'],
+                            conn=self.conn
                         )
                     )
                     if not status:
@@ -1671,7 +1674,8 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
                                 self.table_template_path,
                                 self._GET_SCHEMA_OID_SQL
                             ]),
-                            tid=row['partition_name']
+                            tid=row['partition_name'],
+                            conn=self.conn
                         )
                     )
                     if not status:
@@ -2051,7 +2055,9 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
         # Get schema oid
         status, scid = self.conn.execute_scalar(
             render_template("/".join([self.table_template_path,
-                                      self._GET_SCHEMA_OID_SQL]), tid=tid))
+                                      self._GET_SCHEMA_OID_SQL]),
+                            tid=tid,
+                            conn=self.conn))
         if not status:
             return internal_server_error(errormsg=scid)
         if scid is None:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
index 7a051ac13..b88b625b0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
@@ -58,10 +58,10 @@ def create_schema(connection, schema_name):
     """This function add the schemas into databases"""
     try:
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute("CREATE SCHEMA %s" % schema_name)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get schema details of newly created schema
         pg_cursor.execute("SELECT sch.oid, sch.nspname FROM "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
index 10956a36f..6f514950c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
@@ -745,7 +745,7 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
         try:
             SQL = render_template("/".join([self.template_path,
                                             self._GET_SUBTYPES_SQL]),
-                                  subtype=True)
+                                  subtype=True, conn=self.conn)
             status, rset = self.conn.execute_2darray(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
@@ -775,7 +775,8 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
         try:
             SQL = render_template("/".join([self.template_path,
                                             self._GET_SUBTYPES_SQL]),
-                                  subtype_opclass=True, data=data)
+                                  subtype_opclass=True, data=data,
+                                  conn=self.conn)
             if SQL:
                 status, rset = self.conn.execute_2darray(SQL)
                 if not status:
@@ -806,7 +807,8 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
         try:
             SQL = render_template("/".join([self.template_path,
                                             self._GET_SUBTYPES_SQL]),
-                                  get_opcintype=True, data=data)
+                                  get_opcintype=True, data=data,
+                                  conn=self.conn)
             if SQL:
                 status, opcintype = self.conn.execute_scalar(SQL)
                 if not status:
@@ -847,7 +849,7 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
             # else we will disable the combobox
             SQL = render_template("/".join([self.template_path,
                                             self._GET_SUBTYPES_SQL]),
-                                  getoid=True, data=data)
+                                  getoid=True, data=data, conn=self.conn)
             if SQL:
                 status, oid = self.conn.execute_scalar(SQL)
                 if not status:
@@ -1040,7 +1042,7 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                 # we need scid to update in browser tree
                 SQL = render_template("/".join([self.template_path,
                                                 'get_scid.sql']),
-                                      schema=data['schema'])
+                                      schema=data['schema'], conn=self.conn)
                 status, scid = self.conn.execute_scalar(SQL)
                 if not status:
                     return internal_server_error(errormsg=scid)
@@ -1048,7 +1050,7 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
             # we need oid to add object in tree at browser
             SQL = render_template("/".join([self.template_path,
                                             self._OID_SQL]),
-                                  scid=scid, data=data)
+                                  scid=scid, data=data, conn=self.conn)
             status, tid = self.conn.execute_scalar(SQL)
             if not status:
                 return internal_server_error(errormsg=tid)
@@ -1091,7 +1093,8 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                 return internal_server_error(errormsg=res)
 
             SQL = render_template("/".join([self.template_path,
-                                            'get_scid.sql']), tid=tid)
+                                            'get_scid.sql']),
+                                  tid=tid, conn=self.conn)
 
             # Get updated schema oid
             status, scid = self.conn.execute_scalar(SQL)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/utils.py
index e025acfbf..f5eccdeb5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/utils.py
@@ -55,14 +55,14 @@ def create_type(server, db_name, schema_name, type_name):
                                              server['host'],
                                              server['port'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = 'CREATE TYPE %s.%s AS  (one "char", two "char"[]); ' \
                 'ALTER TYPE %s.%s  OWNER TO %s' % (schema_name, type_name,
                                                    schema_name, type_name,
                                                    server['username'])
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created type
         pg_cursor.execute("select oid from pg_catalog.pg_type "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index 7bb2ee411..92c1205a8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -559,7 +559,8 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
                 return internal_server_error(errormsg=res)
 
             SQL = render_template("/".join(
-                [self.template_path, 'sql/view_id.sql']), data=data)
+                [self.template_path, 'sql/view_id.sql']), data=data,
+                conn=self.conn)
             status, view_id = self.conn.execute_scalar(SQL)
 
             if not status:
@@ -604,7 +605,8 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
                 return internal_server_error(errormsg=res)
 
             SQL = render_template("/".join(
-                [self.template_path, 'sql/view_id.sql']), data=data)
+                [self.template_path, 'sql/view_id.sql']), data=data,
+                conn=self.conn)
             status, res_data = self.conn.execute_dict(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
@@ -880,7 +882,7 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
 
         sql = render_template("/".join(
             [self.template_path, self._SQL_PREFIX + self._CREATE_SQL]),
-            data=data)
+            data=data, conn=self.conn)
         if data['definition']:
             sql += "\n"
             sql += render_template("/".join(
@@ -1075,7 +1077,8 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
                 SQL = render_template("/".join(
                     [self.rule_temp_path,
                      self._SQL_PREFIX + self._CREATE_SQL]),
-                    data=res, display_comments=display_comments)
+                    data=res, display_comments=display_comments,
+                    conn=self.conn)
                 sql_data += '\n'
                 sql_data += SQL
         return sql_data
@@ -1252,7 +1255,7 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
             # Format arguments
             if len(res_rows['custom_tgargs']) > 0:
                 driver = get_driver(PG_DEFAULT_DRIVER)
-                formatted_args = [driver.qtLiteral(arg)
+                formatted_args = [driver.qtLiteral(arg, self.conn)
                                   for arg in res_rows['custom_tgargs']]
                 res_rows['tgargs'] = ', '.join(formatted_args)
             else:
@@ -1921,7 +1924,7 @@ class MViewNode(ViewNode, VacuumSettings):
 
         SQL = render_template("/".join(
             [self.template_path, self._SQL_PREFIX + self._CREATE_SQL]),
-            data=data)
+            data=data, conn=self.conn)
         if data['definition']:
             SQL += "\n"
             SQL += render_template("/".join(
